Bug 1231232 - CVE-2013-2099 CVE-2013-7440 python-pymongo: various flaws [epel-all]
Summary: CVE-2013-2099 CVE-2013-7440 python-pymongo: various flaws [epel-all]
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pymongo
Version: el6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-7440 CVE-2013-2099
TreeView+ depends on / blocked
 
Reported: 2015-06-12 13:12 UTC by Tomas Hoger
Modified: 2017-09-08 12:21 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-30 11:26:06 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2015-06-12 13:12:54 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2015-06-12 13:13:02 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=963260,1231232

# Description of your update
notes=Security fix for CVE-2013-2099

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=963260,1231232

Comment 2 Tomas Hoger 2015-06-12 13:13:38 UTC
Adding parent bug 1224999 (for CVE-2013-7440).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1231232,1224999,963260

# Description of your update
notes=Security fix for CVE-2013-2099, CVE-2013-7440

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1231232,1224999,963260

Comment 3 Tomas Hoger 2015-06-12 13:34:00 UTC
Consider fixing by making pymongo use python-backports-ssl_match_hostname or stdlib ssl on  F22+ / python 2.7.9+.

Comment 4 Fedora Update System 2015-10-01 10:54:27 UTC
python-pymongo-3.0.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-af1b712fce

Comment 5 Fedora Update System 2015-10-01 10:54:28 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 6 Fedora Update System 2015-10-01 10:54:37 UTC
python-pymongo-3.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 7 Fedora Update System 2015-10-01 10:54:44 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 8 Fedora Update System 2015-10-01 10:54:47 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 9 Fedora Update System 2015-10-02 23:48:09 UTC
python-pymongo-3.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 10 Fedora Update System 2015-10-02 23:50:08 UTC
python-pymongo-3.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 11 Fedora Update System 2015-10-04 01:37:11 UTC
python-pymongo-3.0.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 12 Fedora Update System 2015-10-04 01:53:26 UTC
python-pymongo-3.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 13 Fedora Update System 2015-10-04 02:21:11 UTC
python-pymongo-3.0.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-af1b712fce

Comment 14 Fedora Update System 2016-01-14 17:03:46 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 15 Fedora Update System 2016-01-14 17:04:36 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 16 Fedora Update System 2016-01-14 17:04:55 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 17 Fedora Update System 2016-01-14 19:29:35 UTC
python-pymongo-3.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 18 Fedora Update System 2016-01-15 12:15:57 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 19 Fedora Update System 2016-01-15 12:47:40 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 20 Fedora Update System 2016-01-15 13:44:54 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 21 Fedora Update System 2016-01-15 13:45:35 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 22 Fedora Update System 2016-01-16 19:22:04 UTC
python-pymongo-3.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 23 Fedora Update System 2016-01-17 14:24:32 UTC
python-pymongo-3.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1


Note You need to log in before you can comment on or make changes to this bug.